@media screen and (min-width: 0px) {
    .roadmaps-list {
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 1em;
    }
    .check-field{
        width: 24px;
        height: 24px;
        background: #0f0f0f;
        border: #141414 1px solid;
        max-width: 24px;
        max-height: 24px;
        display: flex;
        border-radius: 4px;
        justify-content: center;
        align-content: center;
        align-items: center;
    }
   .roadmaps-items-view{
        position: fixed;
        left: 50%;
        top: 50%;
        z-index: 2;
        transform: translate(-50%, -50%);
        padding: 0.5rem;
        min-width: 100vw;
        min-height: 100vh;
        max-width: 100vw;
        max-height: 100vh;
    }
    .roadmaps-items-view .roadmaps-items-background{
        position: absolute;
        top: 0;
        right: 0;
        left: 0;
        bottom: 0;
        background: #181818;
        opacity: 0.95;
    }

    .roadmaps-items-view .roadmaps-items-context{
        position: fixed;
        left: 10%;
        top: 10%;
        z-index: 1000;
        max-height: 80vh;
        max-width: 80vw;
        width: -webkit-fill-available;
    }
    .rm-separator.images{
        margin-bottom: 0;
        justify-content: flex-start;
        gap: 0.5rem;
    }
    .roadmaps-items-images{
        border-radius: 12px;
        aspect-ratio: 16 / 9;
        height: 6rem;
        object-fit: cover;
    }

    .rmi{
        padding: 1rem;
        background: #ffffff0d;
        backdrop-filter: blur(4px);
    }
    .rmi:nth-of-type(even){
        background: #323232b0;
        backdrop-filter: none
    }

    .rmi:last-of-type{
        margin-bottom: 0;
    }   

    .rm-images-items{
        display: flex; flex-direction: row; gap: 0.5rem; overflow-y: auto;
        border-radius: 12px;
    }

    .rm-images-items::-webkit-scrollbar{
        height: 0;
    }

    .roadmaps-items-element .rm-item{
        background: none;
        border: 2px solid rgba(170, 170, 170, 0.34);
        backdrop-filter: blur(4px);
    }

    .roadmaps-items-element{
        border-radius: 12px;
        overflow: hidden;
        margin-bottom: .2rem;
    }

    .roadmaps-items-images.noimages{
        height: 6rem;
        align-content: center;
        text-align: center;
        border: 2px solid rgba(170, 170, 170, 0.34);
        user-select: none;
        backdrop-filter: blur(4px);
    }

    .roadmaps-items-button{
        margin-top: 0.5rem;
        border: 2px solid rgba(170, 170, 170, 0.34);
        padding: 1rem;
        border-radius: 12px;
    }

    .roadmaps-items-images.noimages p{
        margin: 0;
        user-select: none;
        -webkit-user-select: none;
    }

    .roadmaps-items-view .roadmaps-items-context{
        height: 80vh;
        overflow-y: auto;
    }
    .roadmaps-items-view .roadmaps-items-context .roadmaps-items-data hr{
        opacity: 0.3;
        border-radius: 6px;
        border: 2px solid rgba(170, 170, 170, 0.34)
    }
}

@media screen and (min-width: 1390px) {
    .roadmaps-list {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(450px, 1fr));
        width: 100%;
        gap: 1em;
    }
}

.roadmaps-inner {
    display: flex;
    flex-direction: column;
    gap: 0.4em;
}

.roadmaps-items {
    display: flex;
    justify-items: stretch;
    align-items: center;
    justify-content: space-between;
    padding: 1em;
    border-radius: 8px;
    background: #ffffff08;
}

.roadmaps-items p {
    margin-bottom: 0;
}

.wrap {
    max-width: 90%;
    margin: 0 auto;
}

.roadmaps-items .material-symbols-rounded {
    font-size: 24px;
}

.rm-item-drag{
    position: absolute; top: 0; right: 0; bottom: 0; left: 0; z-index: -1;
}

.rm-container {
    display: flex;
    gap: 0.5rem;
    flex-wrap: nowrap;
    align-items: flex-start;
    scroll-snap-type: x proximity;
    overflow-x: auto;
    user-select: none;
    padding-bottom: 2rem;
}
.rm-category {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    color: #ccc;
}
.rm-inline {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}
.rm-category-title {
    font-family: "Akrobat ExtraBold";
    font-size: 1.5em;
    margin: 0;
    color: inherit;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    color: #fff;
    background: none;
    border: none;
    padding: 0;
    resize: none;
    box-sizing: border-box;
    overflow: hidden;
}
.rm-list {
    min-height: 10rem;
}

.rm-category{
    min-width: 406px;
    max-width: 406px;
    min-height: 10rem;
}

.rm-item {
    border-radius: 12px;
    padding: 1rem;
    background: #121212;
    border: 1px solid #1a1a1a;
    box-shadow: 0 0px 20px rgba(0, 0, 0, 0.3);
    min-width: 360px;
    max-width: 360px;
    position: relative;
}

.rm-item a{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
}

.rm-lists .rm-item {
    margin-bottom: 0.5rem;
}
.rm-lists .rm-item:last-of-type
{
    margin-bottom: 0;
}
.rm-separator {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 0.5rem;
}
.rm-separator:last-of-type
{
    margin-bottom: 0;
}
.rm-separator p{
    margin: 0;
}
.rm-image {
    border-radius: 4px;
    margin-bottom: 0.5rem;
    aspect-ratio: 16/9;
    width: 100%;
    object-fit: cover;
}
.rm-paragraph {
    color: #AAAAAA;
    background: transparent;
    padding: 0;
    font-size: 22px;
    font-family: 'Roboto Condensed';
    border: 0;
    margin: 0 !important;
    resize: none !important;
    overflow-wrap: break-word;
}
.rm-title {
    color: #fff !important;
    font-weight: 600 !important;
    background: transparent;
    padding: 0;
    font-size: 22px;
    font-family: 'Roboto Condensed';
    border: 0;
    margin: 0 !important;
    resize: none !important;
    width: -webkit-fill-available;
}
.rm-container p {
    margin: 0;
}
.rm-bar {
    height: 6px;
    background: repeating-linear-gradient(to right, #444, #444 30px, transparent 3px, transparent 37px);
    width: 178px;
}
.rm-bar-fill {
    height: inherit;
    background: repeating-linear-gradient(to right, tomato, tomato 30px, transparent 3px, transparent 37px);
}
.rm-bar-fill.medium {
    background: repeating-linear-gradient(to right, #ffd447, #ffd447 30px, transparent 3px, transparent 37px);
}
.rm-bar-fill.high {
    background: repeating-linear-gradient(to right, #00fa9a, #00fa9a 30px, transparent 3px, transparent 37px);
}
.rm-region {
    padding: 1rem;
    border: 2px #2b2b2b dashed;
    border-radius: 12px;
    text-align: center;
    min-width: 360px;
}

.rm-id{
    user-select: none;
    -webkit-user-select: none
}

.rm-categories {
    gap: 0.5rem;
    display: flex;
    overflow: auto;
    overflow-x: auto;
    padding-bottom: 1rem;
    z-index: 0;
    position: relative;
}

.rm-alt-region{
    padding: 1rem;
}

.rm-lists{
    border-radius: 12px;
}

.rm-tags.medium{
    color: #00fa9a !important;
}

.rm-tags.high{
    color: #ffd447 !important;
}

.rm-tags.critical{
    color: tomato !important;
}

@media (max-width: 900px) {
    .rm-separator{
        flex-direction: column;
        gap: 1rem;
        align-items: initial;
    }
    .rm-container, .rm-categories{
        display: flex !important;
        flex-direction: column;
        gap: 2rem;
    }
    .rm-category{
        max-width: -webkit-fill-available;
        max-width: --webkit-fill-available;
        text-align: left;
    }
    .rm-category .rm-separator, .roadmaps-items-view .rm-separator{
        flex-direction: row;
    }
    .rm-lists{
        max-width: -webkit-fill-available !important;
    }
    .rm-item{
        max-width: -webkit-fill-available !important;
        width: -webkit-fill-available;
    }
}